## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestTriggerType Struct Reference

The trigger type is responsible for the creation of trigger factories. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual csPtr< iQuestTriggerFactory > | CreateTriggerFactory ()=0
| Create a trigger factory.
virtual const char * | GetName () const =0
| Return the name for this trigger type.

## Detailed Description

The trigger type is responsible for the creation of trigger factories.

If you want to define a new type of trigger then you must implement iQuestTriggerType, iQuestTriggerFactory, and iQuestTrigger. You register trigger types with the quest manager so that they can be used by quest factories.

Definition at line 185 of file questmanager.h.

## Member Function Documentation

virtual csPtr<iQuestTriggerFactory> iQuestTriggerType::CreateTriggerFactory | ( |  | ) | `[pure virtual]`

| Create a trigger factory.

virtual const char* iQuestTriggerType::GetName | ( |  | ) | const`[pure virtual]`

| Return the name for this trigger type.

The documentation for this struct was generated from the following file:

- tools/questmanager.h